Name: vim-macros-czech
Version: 1.0
Release: 3
Copyright: public domain
Group: Applications/Editors
Source: %{name}-%{version}.tar.gz
BuildRoot: /usr/src/redhat/BUILD/%{name}
BuildArchitectures: noarch
Packager: Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
Distribution: Red Hat Contrib|Net
Vendor: Pavel Lisy <pali@tmapy.cz>
Summary: Czech specific macros for vim
Summary(cs): Uivatelsk makra pro esk prosted
Requires: cstools, ispell-czech, vim-common

%description
Czech-specific /etc/skel files for ViM. Supplement to original
configuration files. It contains the files that go in /etc/skel, which
are in turn placed in every new user's home directory when new accounts
are created.  It is necessary to copy these file to existing users by
hand.

%description -l cs
Soubory pro ViM do /etc/skel a rzn makra pro etinu. Obsahuje
soubory, kter se umst do adrese /etc/skel, a kter budou
koprovny do adrese uivatel vytvench pkazem useradd.
Existujcm uivatelm je nutn tyto soubory nakoprovat run.
Nastaven probhne zkoprovnm obsahu /etc/skel do $HOME adrese.

%package root
Group: Applications/Editors
Summary: Czech specific macros for vim
Summary(cs): Uivatelsk makra pro esk prosted

%description root
This package contains czech specific configuration files for ViM editor
that are placed in the root user's account. These files are basically
the same as the files found in the vim-macros-czech package, which are
placed to the /etc/skel directory and then they are automagically copied
to the regular users' home directories when root new accounts are
created.

%description root -l cs
Tento balek obsahuje konfiguran soubory pro esk rozen editoru
ViM, kter jsou uloeny do domcho adrese uivatele root. Tyto
soubory jsou stejn jako v balku vim-macros-czech (jsou uloeny do
adrese /etc/skel a odtud se kopruj pi zakldn uivatel do jejich
domcch adres).

%prep

%setup -n %{name}
%build
%install
mkdir -p $RPM_BUILD_ROOT/root
cp -a $RPM_BUILD_ROOT/etc/skel $RPM_BUILD_ROOT/root

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
/usr/share/vim/macros/czech
%config /etc/skel

%files root
%defattr(-,root,root)
%config /root

%changelog
* Sat Oct 10 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
  - descriptions fixed

* Sat Oct  9 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
  - root's subpackage added

* Fri Oct  8 1999 Pavel Lisy <pali@tmapy.cz>
  - first version of settings for ViM (with many czech specific macros)
